'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
//region Imports
var _ = require('lodash');
//endregion

function getOpts(opts) {
  return _.defaults(opts.nodemon, {
    script: opts.destDir + '/index.js',
    ext: 'js',
    env: {
      NODE_ENV: 'development'
    }
  });
}

exports.default = function (gulp, opts) {

  opts = getOpts(opts);

  gulp.task('nodemon:start', function () {
    var nodemon = require('gulp-nodemon');
    var _ = require('lodash');

    nodemon(opts.nodemon)
    //.on('start', ['watch'])
    //.on('change', ['watch'])
    .on('restart', function () {
      console.log('restarted!');
    });
  });

  //gulp.task('nodemon', gulp.series('lib:compile', 'nodemon:start'))
  gulp.task('nodemon', gulp.series('nodemon:start'));
};

module.exports = exports['default'];